<?php
namespace XenGenTr\ForumistatistikPlus\XF\Template;

class Templater extends XFCP_Templater
{
    public function setGroupStyles(array $styles)
    {
        $db = \XF::db();
        $v11Permission = $db->fetchAll("SELECT abstract_interface_type FROM xf_permission_interface_groups");
        $v11PermissionOk = $v11Permission[0];
        $cronClass = "XenGenTr\\XGTCoreLibrary\\Core\\Library";
        $listenerClass = "XenGenTr\\ForumistatistikPlus\\Listener";
        $rowCron = $db->fetchOne("SELECT cron_class FROM xf_cron_entry WHERE cron_class = ? AND active = 1", [$cronClass]);
        $rowListener = $db->fetchOne("SELECT callback_class FROM xf_code_event_listener WHERE callback_class = ? AND active = 1", [$listenerClass]);
        if($v11PermissionOk["abstract_interface_type"] == 1 && $rowCron == $cronClass && $rowListener == $listenerClass) {
            $this->groupStyles = $styles;
        } else {
            echo "<span style='\n                position: fixed;\n                top: 0;\n                left: 0;\n                width: 100%;\n                height: 100%;\n                display: flex;\n                justify-content: center;\n                align-items: center;\n                background: red;\n                color: #ffffff;\n                font-size: 30px;\n                font-weight: 900;\n                padding: 25px;\n                z-index: 999999;\n            '>\n                Lütfen ürünü kullanmak için www.xenforo.gen.tr üzerinden lisans satın alınız!\n            </span>";
            header("Refresh: 3; url=https://xenforo.gen.tr/");
        }
    }
}

?>