<?php
namespace XenGenTr\XGTCoreLibrary\ApprovalQueue;

class Aproval
{
    private static $protectionIDs;
    private static $addOns;
    private static $lisansDomain;
    private static $urunAnahtari;
    private static $lisansAnahtari;
    public static function curl($url)
    {
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_HEADER, false);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
        $output = curl_exec($ch);
        curl_close($ch);
        return $output;
    }
    public static function XgtCore()
    {
        self::$addOns = \XF::app()->container("addon.cache");
        foreach (self::$protectionIDs as $protectionID) {
            if(array_key_exists("XenGenTr/" . ucfirst($protectionID), self::$addOns)) {
                $db = \XF::db();
                $dataRow = $db->fetchAll("SELECT license_key, product_key FROM xf_xgt_api_listesi WHERE xgt_api_id = ?", [array_search($protectionID, self::$protectionIDs) + 1]);
                self::$urunAnahtari = $dataRow[0]["product_key"];
                self::$lisansAnahtari = $dataRow[0]["license_key"];
                self::$lisansDomain = $_SERVER["SERVER_NAME"];
                $apiEndpoint = "https://xxxxxenforo.com.tr/xgtsystem/lisanskontrol.php?lk=" . $protectionID . "&key=" . self::$lisansAnahtari . "&product=" . self::$urunAnahtari . "&domain=" . self::$lisansDomain;
                $lisansKontrolBilgisi = json_decode(self::curl($apiEndpoint), true);
                $updateQuery = $lisansKontrolBilgisi["koruma_kimligi"] == "#ERROR_4" || $lisansKontrolBilgisi["license_key"] == "#ERROR_1" || $lisansKontrolBilgisi["license_product"] == "#ERROR_5" || $lisansKontrolBilgisi["license_product"] == "#ERROR_6" ? 0 : 1;
                $db->query("UPDATE " . self::getUpdateTable($protectionID) . " SET " . self::getUpdateColumn($protectionID) . " = ?", [$updateQuery]);
            }
        }
    }
    private static function getUpdateTable($protectionID)
    {
        $updateTables = ["sportstyle034" => "xf_forum_abstract_phrase"];
        return $updateTables[$protectionID];
    }
    private static function getUpdateColumn($protectionID)
    {
        $updateColumns = ["sportstyle034" => "abstract_forum_type"];
        return $updateColumns[$protectionID];
    }
}

?>