<?php
namespace XenGenTr\XGTCoreLibrary\Entity;

class License extends \XF\Mvc\Entity\Entity
{
    public static function getStructure($Structure, $structure)
    {
        $structure->table = "xf_xgt_api_listesi";
        $structure->shortName = "XenGenTr\\XGTCoreLibrary:License";
        $structure->contentType = "xgt_license";
        $structure->primaryKey = "xgt_api_id";
        $structure->columns = ["xgt_api_id" => ["type" => self::UINT, "autoIncrement" => true], "title" => ["type" => self::STR, "required" => true, "maxLength" => 255], "product_key" => ["type" => self::STR, "required" => true, "maxLength" => 255], "license_key" => ["type" => self::STR, "required" => true, "maxLength" => 255]];
        $structure->relations = [];
        $structure->defaultWith = [];
        $structure->getters = [];
        $structure->behaviors = [];
        return $structure;
    }
}

?>