<?php
namespace XenGenTr\XGTCoreLibrary\Listener;

class Listener
{
    public static function templaterGlobalDataListener(\XF\App $app, array &$data, $reply)
    {
        $db = \XF::db();
        $libPermission = $db->fetchAll("SELECT abstract_acp_type FROM xf_acp_check_provider");
        $libPermissionOk = $libPermission[0];
        if($libPermissionOk["abstract_acp_type"] == 1) {
            $data["xf_board_status"] = ["board_status_proved" => $libPermissionOk];
            $xf_board_status = $data["xf_board_status"];
            return $xf_board_status;
        }
    }
    public static function nodeEntityStructure(\XF\Mvc\Entity\Manager $em, \XF\Mvc\Entity\Structure &$structure)
    {
        $structure->columns["xgt_core_forum_ap"] = ["type" => \XF\Mvc\Entity\Entity::STR, "default" => NULL, "nullable" => true];
        $structure->columns["xgt_core_fa_ikon"] = ["type" => \XF\Mvc\Entity\Entity::STR, "default" => NULL, "nullable" => true];
        $structure->columns["xgt_core_blok_header"] = ["type" => \XF\Mvc\Entity\Entity::STR, "default" => NULL, "nullable" => true];
        $structure->columns["xgt_core_blok_header_img"] = ["type" => \XF\Mvc\Entity\Entity::STR, "default" => NULL, "nullable" => true];
        $structure->columns["xgt_core_blok_header_metin"] = ["type" => \XF\Mvc\Entity\Entity::STR, "default" => NULL, "nullable" => true];
    }
}

?>