<?php
namespace XenGenTr\XGTCoreLibrary\Listener;

class TemplaterSetup
{
    protected static $_js;
    public static function templaterSetup(\XF\Container $container, \XF\Template\Templater &$templater)
    {
        $templater->addFunction("xgt_core_property_prefix", ["\\XenGenTr\\XGTCoreLibrary\\Listener\\TemplaterSetup", "fnStylePropertyPrefix"]);
    }
    public static function fnStylePropertyPrefix(\XF\Template\Templater $templater, &$escape, $entity)
    {
        $key = "";
        if($entity instanceof \XF\Entity\StylePropertyGroup) {
            $key = $entity->group_name;
        }
        if($entity instanceof \XF\Entity\StyleProperty) {
            $key = $entity->property_name;
        }
        if(strpos($key, "xgt_") === 0) {
            $escape = false;
            return $templater->renderTemplate("admin:xgt_core_property_prefix");
        }
        return NULL;
    }
}

?>