<?php
namespace XenGenTr\ForumistatistikPlus\Entity;

class SabitKonu extends \XF\Mvc\Entity\Entity
{
    public function canDuzenleyebilir()
    {
        $thread = $this->Thread;
        $visitor = \XF::visitor();
        if($visitor->hasPermission("XGT_istatistik_izin_grubu", "konuDuzenleyebilir")) {
            return true;
        }
        if($visitor->hasPermission("XGT_istatistik_izin_grubu", "konuSabitleyebilir") && $visitor->user_id == $thread->user_id) {
            return true;
        }
        return false;
    }
    public static function getStructure(\XF\Mvc\Entity\Structure $structure)
    {
        $structure->table = "xgt_istatistik_plus";
        $structure->shortName = "XenGenTr\\ForumistatistikPlus:SabitKonu";
        $structure->primaryKey = "thread_id";
        $structure->columns = ["thread_id" => ["type" => self::UINT, "required" => true], "bitis_zamani" => ["type" => self::UINT, "required" => true], "display_order" => ["type" => self::UINT, "default" => 0], "active" => ["type" => self::BOOL, "default" => 1]];
        $structure->relations = ["Thread" => ["entity" => "XF:Thread", "type" => self::TO_ONE, "conditions" => "thread_id", "primary" => true]];
        return $structure;
    }
}

?>