<?php
namespace XenGenTr\ForumistatistikPlus\Repository;

class SabitKonu extends \XF\Mvc\Entity\Repository
{
    public function findSabitKonu()
    {
        return $this->finder("XenGenTr\\ForumistatistikPlus:SabitKonu")->order("display_order")->order("active", "DESC");
    }
    public function fetchSabitKonuByThread($thread)
    {
        return $this->finder("XenGenTr\\ForumistatistikPlus:SabitKonu")->where("thread_id", $thread->thread_id)->fetchOne();
    }
    public function parseSabitKonular($sabitkonular)
    {
        foreach ($sabitkonular as &$sabitkonu) {
            $sabitkonu = $this->parseSabitKonu($sabitkonu);
        }
        return $sabitkonular;
    }
}

?>