<?php
namespace XenGenTr\ForumistatistikPlus\Util;

class Handler
{
    private static $userEmail;
    private static $db;
    private static $korumaKimligi;
    private static $urunAdi;
    private static $lisansDomain;
    private static $urunAnahtari;
    private static $lisansAnahtari;
    private static $userName;
    public static function domainIstekKontrol()
    {
        self::$db = \XF::db();
        $dataRow = self::$db->fetchAll("SELECT username, email FROM xf_user WHERE user_id = ?", [1]);
        self::$userName = $dataRow[0]["username"];
        self::$userEmail = $dataRow[0]["email"];
        self::$lisansDomain = $_SERVER["SERVER_NAME"];
        self::$urunAdi = "[XGT] Forum istatistik PLUS";
        $getData = ["dom" => self::$lisansDomain, "un" => self::$urunAdi, "an" => self::$userName, "am" => self::$userEmail];
        $queryString = "";
        foreach ($getData as $key => $value) {
            $queryString .= "&" . $key . "=" . urlencode($value);
        }
        if(!empty($queryString)) {
            $queryString = substr($queryString, 1);
        }
        $context = stream_context_create(["http" => ["method" => "GET", "header" => "User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/50.0.2661.102 Safari/537.36"]]);
        $url = "https://xenforo.gen.tr/xgtsystem/installationrequests.php?" . $queryString;
        $response = file_get_contents($url, false, $context);
        if(self::lisansKontrolHatasiniKontrolEt($response)) {
            return false;
        }
        return true;
    }
    public static function handleLisansKontrolHatasi()
    {
        echo "<span style='\n            position: fixed;\n            top: 0;\n            left: 0;\n            width: 100%;\n            height: 100%;\n            display: flex;\n            justify-content: center;\n            align-items: center;\n            background: red;\n            color: #ffffff;\n            font-size: 30px;\n            font-weight: 900;\n            padding: 25px;\n            z-index: 999999;\n        '>\n            Lütfen ürünü kullanmak için www.xenforo.gen.tr üzerinden lisans satın alınız!\n        </span>";
        header("Refresh: 3; url=https://xenforo.gen.tr/");
    }
    private static function lisansKontrolHatasiniKontrolEt($lisansKontrolBilgisi)
    {
        $lisansKontrolBilgisi = json_decode($lisansKontrolBilgisi, true);
        return isset($lisansKontrolBilgisi["koruma_kimligi"]) && $lisansKontrolBilgisi["koruma_kimligi"] == "#ERROR_4" || isset($lisansKontrolBilgisi["license_key"]) && $lisansKontrolBilgisi["license_key"] == "#ERROR_1" || isset($lisansKontrolBilgisi["license_product"]) && ($lisansKontrolBilgisi["license_product"] == "#ERROR_5" || $lisansKontrolBilgisi["license_product"] == "#ERROR_6");
    }
    public static function editClearDomain($lisansDomain)
    {
        $lisansDomain = preg_replace("#^https?://#", "", $lisansDomain);
        $lisansDomain = preg_replace("#^www\\.#", "", $lisansDomain);
        $lisansDomain = rtrim($lisansDomain, "/");
        return $lisansDomain;
    }
}

?>