<?php
namespace XenGenTr\XGTCoreLibrary\XF\Admin\Controller;

class Category extends XFCP_Category
{
    protected function nodeSaveProcess(\XF\Entity\Node $node)
    {
        $faicon = $this->filter(["node" => ["xgt_core_fa_ikon" => "str"]]);
        $blokHeader = $this->filter(["node" => ["xgt_core_blok_header" => "str"]]);
        $blokHeaderImg = $this->filter(["node" => ["xgt_core_blok_header_img" => "str"]]);
        $blokHeaderMetin = $this->filter(["node" => ["xgt_core_blok_header_metin" => "str"]]);
        $formAction = parent::nodeSaveProcess($node);
        $formAction->setup(function () use($node) {
            $node->xgt_core_fa_ikon = $faicon["node"]["xgt_core_fa_ikon"];
            $node->xgt_core_blok_header = $blokHeader["node"]["xgt_core_blok_header"];
            $node->xgt_core_blok_header_img = $blokHeaderImg["node"]["xgt_core_blok_header_img"];
            $node->xgt_core_blok_header_metin = $blokHeaderMetin["node"]["xgt_core_blok_header_metin"];
        });
        return $formAction;
    }
}

?>