<?php
namespace XenGenTr\XGTCoreLibrary\XF\Admin\Controller;

class SearchForum extends XFCP_SearchForum
{
    protected function nodeSaveProcess(\XF\Entity\Node $node)
    {
        $xgtforumArkaPlanimg = $this->filter(["node" => ["xgt_core_forum_ap" => "str"]]);
        $formAction = parent::nodeSaveProcess($node);
        $formAction->setup(function () use($node) {
            $node->xgt_core_forum_ap = $xgtforumArkaPlanimg["node"]["xgt_core_forum_ap"];
        });
        return $formAction;
    }
}

?>